Address book
Answer or correct transfer information
Answer or correct a transfer information request.
Select transfers with the same network, address and direction. Supply each current revision. Corrections retain every previous declaration. Remembering a wallet never grants sending permission.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://compose.finance/api/v2/counterparty-requests/answer" \ -H "Content-Type: application/json" \ -d '{ "evidenceIds": [ "string" ], "revisions": { "property1": "string", "property2": "string" }, "answer": { "wallet": { "owner": { "party": "ORGANIZATION" } } } }'{
"items": [
{
"id": "string",
"network": "string",
"flow": "string",
"address": "string",
"currencyId": "string",
"amount": "string",
"receivedAt": "string",
"revision": "string",
"fromAddress": "string",
"toAddress": "string",
"transactionId": "string",
"respondBy": "string",
"direction": "INBOUND",
"status": "UNATTRIBUTED",
"missingFields": [
"string"
],
"walletResolved": true,
"wallet": {
"owner": {
"party": "ORGANIZATION",
"identity": {
"kind": "INDIVIDUAL",
"givenName": "string",
"otherNames": "string",
"surname": "string",
"fullName": "string",
"dateOfBirth": "string",
"occupation": "string",
"address": {
"street": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"country": "string"
},
"identifications": [
{
"type": "string",
"number": "string",
"country": "string",
"region": "string"
}
]
}
},
"custody": {
"walletType": "SELF_CUSTODY",
"vaspName": "string",
"vaspAccountRef": "string"
}
},
"followUp": {
"message": "string",
"requestedAt": "string"
}
}
]
}{
"error": "Invalid declaration"
}{
"error": "Unauthorized - Invalid or missing API key or session"
}{
"error": "An enabled organization member is required"
}{
"error": "Not found in this organization"
}{
"error": "Revision conflict: reload before correcting"
}{
"error": "Rate limit exceeded. Please try again later."
}{
"error": "Internal server error"
}{
"error": "Verified identity is temporarily unavailable. Try again in a few minutes."
}
